Skip to navigation

Get post template OAuth Scope: posts:read

Retrieve a single post template, including the settings posts built from it start with and, on request, its rendered HTML.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
postTemplateIdstringRequiredformat: "^(post_template_[0-9a-fA-F\-]+)$"
The prefixed ID of the post template object

Query parameters

expandlist of enumsOptional

Optionally expand the result by adding the rendered HTML of the template.
free_web_content - Adds the web HTML rendered to a free reader.
free_email_content - Adds the email HTML rendered to a free reader.
free_rss_content - Adds the RSS feed HTML.
premium_web_content - Adds the web HTML rendered to a premium reader.
premium_email_content - Adds the email HTML rendered to a premium reader.

Allowed values:

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error